<#assign created_block>
        if(this.formDruipart){
            this.formDruipart.subscribe((res:any) =>{
                if(Object.is(res.action,'load')){
                   const _this: any = this;
                   _this.engine.load(res.data,true);
                }
            });
        }
</#assign>

<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>

    /**
    * 是否嵌入关系界面
    *
    * @type {boolean}
    * @memberof ${srfclassname('${view.name}')}Base
    */
    @Prop({default:false}) public isformDruipart?: boolean;

    /**
    * 界面关系通讯对象
    *
    * @type {Subject<ViewState>}
    * @memberof ${srfclassname('${view.name}')}Base
    */
    @Prop() public formDruipart?: Subject<ViewState>;

    /**
     * 节点过滤值
     *
     * @type {string}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public srfnodefilter: string = '';

    /**
     * 快速搜索
     *
     * @returns {void}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public onSearch(): void {
        if (!this.viewState) {
            return;
        }
        <#if view.hasPSControl('tree')>
        this.viewState.next({ tag: '${view.getPSControl('tree').name}', action: 'filter', data: { srfnodefilter: this.srfnodefilter } });
        </#if>
    }
    
<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>