<#assign self_content>
    <#if  view.hasPSControl('lefttoolbar')>
        <#assign lefttoolbar = view.getPSControl('lefttoolbar')>
        <@ibizindent blank=8>
            ${P.getCtrlCode(lefttoolbar,'CONTROL.ts').code}
        </@ibizindent>
    </#if>

    <#if  view.hasPSControl('righttoolbar')>
        <#assign righttoolbar = view.getPSControl('righttoolbar')>
        <@ibizindent blank=8>
            ${P.getCtrlCode(righttoolbar,'CONTROL.ts').code}
        </@ibizindent>
    </#if>
</#assign>
<#assign mounted_block>
    if(this.formDruipart){
        this.formDruipart.subscribe((res) =>{
            if(Object.is(res.action,'save')){
                this.viewState.next({ tag:'meditviewpanel', action: 'save', data: this.viewparams });
            }
            if(Object.is(res.action,'remove')){
                this.viewState.next({ tag:'meditviewpanel', action: 'remove', data: this.viewparams });
            }
            if(Object.is(res.action,'load')){
                this.viewState.next({ tag: 'meditviewpanel', action: 'load', data: this.viewparams }); 
            }
        });
    }else{
        this.viewState.next({ tag: 'meditviewpanel', action: 'load', data: this.viewparams }); 
    }
</#assign>
<#assign viewdata_block>
    if(!Object.is(newVal, oldVal) ){
        _this.parseViewParam();           
    }
</#assign>
<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>


<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>

    /**
    * 界面关系通讯对象
    *
    * @type {Subject<ViewState>}
    * @memberof ${srfclassname('${view.name}')}Base
    */
    @Prop() public formDruipart!: Subject<ViewState>;

    /**
     * 刷新数据参数
     *
     * @type {number}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    @Prop() public saveRefView?: number;

    /**
     * 关系数据变化
     *
     * @param {*} $event
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public onViewDataDirty($event: any) {
        this.$emit('drdatachange', $event);
    }

    /**
     * 关系数据保存执行完成
     *
     * @param {*} $event
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public onDRDataSaved($event: any) {
        this.$emit('drdatasaved', $event);
    }


<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>