<#assign self_content>

    /**
     * iframe路径
     *
     * @memberof @memberof ${srfclassname('${view.name}')}Base
     */
    public iframeUrl:string ="";

    /**
     * 获取iframe路径
     *
     * @public
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public getIframeUrl(){
        <#if view.getPSAppDataEntity()??>
        <#assign curAppEntity = view.getPSAppDataEntity() />
        </#if>
        this.appEntityService.WFGetProxyData(this.context,this.viewparams,false).then((response:any) =>{
            if (response && response.status === 200) {
                const data = response.data;
                this.iframeUrl = `<#noparse>${data.proxyviewurl}</#noparse>`;   
            }
        }).catch((response:any) =>{
            if (response && response.status === 401) {
                return;
            }
            if (!response || !response.status || !response.data) {
                this.$Notice.error({ title: '错误', desc: '系统异常' });
                return;
            }
        })
    }
</#assign>
<#assign self_viewparam>
        this.getIframeUrl();
</#assign>
<#ibizinclude>
../@MACRO/VIEW-BASE.vue.ftl
</#ibizinclude>