<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>
    /**
     * 确定
     *
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public onClickOk(): void {
        const form: any = this.$refs.form;
        if (!form) {
            return;
        }
        form.wfsubmit([{...form.data}]).then((response:any) =>{
            if (!response || response.status !== 200) {
                return;
            }
            this.$store.commit('viewaction/setViewDataChange', { viewtag: this.viewtag, viewdatachange: false });
            this.$emit('viewdataschange', [{...response.data}]);
            this.$emit('close', null);
        })
    }

    /**
     * 取消
     *
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public onClickCancel(): void {
        this.$emit('close', null);
    }
    
<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>
